package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/** 
* @Description: 监考设置 dto
* @Param:  
* @return:  
* @Author: wangliang
* @Date: 2020/8/3 
*/ 
public class TBExamInvigilateUserDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试批次id

    @ApiModelProperty(name = "考试批次名称")
    private String examName;//考试批次名称

    @ApiModelProperty(name = "虚拟考场代码，考试唯一")
    private String roomCode;//考场代码

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;//考场名称

    @ApiModelProperty(name = "用户id")
    private String userId;//用户id

    @ApiModelProperty(name = "用户姓名")
    private String name;//用户姓名

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
